> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Read accepted open messages and their canonical replacements



## OpenAPI

````yaml api-reference/openapi.v1.json GET /tasks/{taskID}/conversation/live
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /tasks/{taskID}/conversation/live:
    get:
      tags:
        - tasks
      summary: Read accepted open messages and their canonical replacements
      operationId: getTaskLiveConversationSnapshot
      parameters:
        - in: path
          name: taskID
          required: true
          schema:
            format: uuid
            pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
            type: string
        - description: JSON array of previously observed open message IDs
          explode: false
          in: query
          name: messageIds
          required: true
          schema:
            description: JSON array of previously observed open message IDs
            maxLength: 32768
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LiveConversationSnapshot'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
components:
  schemas:
    LiveConversationSnapshot:
      additionalProperties: false
      properties:
        activeExecution:
          $ref: '#/components/schemas/LiveSnapshotExecution'
        headRevision:
          format: int64
          maximum: 9007199254740991
          minimum: 0
          type: integer
        open:
          items:
            $ref: '#/components/schemas/LiveMessage'
          type: array
        replacements:
          items:
            $ref: '#/components/schemas/LiveMessage'
          type: array
        resetSequence:
          format: int64
          maximum: 9007199254740991
          minimum: 0
          type: integer
        revision:
          format: int64
          maximum: 9007199254740991
          minimum: 0
          type: integer
        taskId:
          format: uuid
          type: string
        throughSequence:
          format: int64
          maximum: 9007199254740991
          minimum: 0
          type: integer
      required:
        - taskId
        - revision
        - headRevision
        - throughSequence
        - resetSequence
        - open
        - replacements
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    LiveSnapshotExecution:
      additionalProperties: false
      properties:
        conversationTurnId:
          format: uuid
          type: string
        processingAttemptId:
          format: uuid
          type: string
        processingMessageId:
          type: string
        workspaceRunId:
          format: uuid
          type: string
      required:
        - conversationTurnId
        - processingMessageId
        - processingAttemptId
        - workspaceRunId
      type: object
    LiveMessage:
      additionalProperties: false
      properties:
        content:
          type: string
        conversationTurnId:
          format: uuid
          type: string
        createdAt:
          format: date-time
          type: string
        id:
          type: string
        processingAttemptId:
          format: uuid
          type: string
        sequence:
          format: int64
          maximum: 9007199254740991
          minimum: 1
          type: integer
        variant:
          enum:
            - text
            - thinking
          type: string
      required:
        - id
        - processingAttemptId
        - conversationTurnId
        - variant
        - content
        - sequence
        - createdAt
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````